#
# spec file for package gufw
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           gufw 
Version:        15.04.0 
Release:        5.2
Summary:        Uncomplicated Firewall
License:        GPL-3.0
Group:          Productivity/Networking/Security
Url:            http://gufw.org/
Source0:        https://launchpad.net/gui-ufw/gufw-15.04/15.04/+download/%{name}_%{version}.tar.gz 
#Source90:       gufw-rpmlintrc
#Patch1:         gui-ufw-11.10.2-gufw.Daemon.conf.diff
BuildArch:      noarch

BuildRequires:  autoconf
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  python-devel
BuildRequires:  python-distutils-extra
BuildRequires:  python-netifaces
BuildRequires:  update-desktop-files
Requires:       ufw
Requires:       girepository-1_0
Requires:       dbus-1-python
Requires:       gufw-lang
Requires:       notification-daemon
Requires:       python-distutils-extra
Requires:       python-gobject >= 3.0.1
Requires:       python-netifaces
Requires:       typelib-1_0-WebKit-3_0

%description
An easy, intuitive, way to manage your Linux firewall. It supports common tasks such as allowing or blocking pre-configured, common p2p, or individual ports port(s), and many others!

%lang_package

%prep
%setup -q -n gui-ufw-%{version}
#Submited patch through ufw's bug report
#Fix directory locations instead of #CONFIG_PREFIX#
#http://bugs.launchpad.net/ufw/+bug/819600
%build

%install
python setup.py install --prefix=%{_prefix} \
--root %{buildroot}
rm %{buildroot}/usr/lib/python2.7/site-packages/gufw/model/__init__.py
rm %{buildroot}/usr/lib/python2.7/site-packages/gufw/view/__init__.py
rm %{buildroot}/usr/lib/python%python_version/site-packages/gufw/model/__init__.pyc
rm %{buildroot}/usr/lib/python%python_version/site-packages/gufw/view/__init__.pyc
chmod 755 %{buildroot}/usr/lib/python2.7/site-packages/gufw/gufw.py
chmod 755 %{buildroot}/usr/lib/python2.7/site-packages/gufw/model/ufw_backend.py
%suse_update_desktop_file -r gufw System Security
%find_lang gufw
%fdupes %{buildroot}

%post
cp /usr/lib/python2.7/site-packages/gufw/__init__.py /usr/lib/python2.7/site-packages/gufw/model/__init__.py
cp /usr/lib/python2.7/site-packages/gufw/__init__.py /usr/lib/python2.7/site-packages/gufw/view/__init__.py
%desktop_database_post

%postun
%desktop_database_postun

%files 
%defattr(-,root,root)
%doc COPYING.GPL3
%dir /etc/gufw/app_profiles
%config /etc/gufw/app_profiles/*
/usr/bin/gufw
/usr/bin/gufw-pkexec
/usr/lib/python%python_version/site-packages/gufw-%{version}-py%python_version.egg-info
/usr/lib/python%python_version/site-packages/gufw/__init__.py
/usr/lib/python%python_version/site-packages/gufw/__init__.pyc
/usr/lib/python%python_version/site-packages/gufw/controller.py
/usr/lib/python%python_version/site-packages/gufw/controller.pyc
/usr/lib/python%python_version/site-packages/gufw/gufw.py
/usr/lib/python%python_version/site-packages/gufw/gufw.pyc
/usr/share/applications/gufw.desktop
/usr/share/doc/gufw/README
/usr/share/gufw/ui/add.ui
#/usr/share/gufw/ui/main.ui
/usr/share/gufw/ui/preferences.ui
/usr/share/icons/hicolor/48x48/apps/gufw.png
/usr/share/man/man8/gufw.8.gz
/usr/share/polkit-1/actions/com.ubuntu.pkexec.gufw.policy
/usr/lib/python%python_version/site-packages/gufw
/usr/lib/python%python_version/site-packages/gufw/model
/usr/lib/python%python_version/site-packages/gufw/view
/usr/share/doc/gufw
/usr/share/gufw
/usr/share/gufw/media
/usr/share/gufw/ui
/usr/share/icons/hicolor
/usr/share/icons/hicolor/48x48
/usr/share/icons/hicolor/48x48/apps
/etc/gufw
/usr/share/polkit-1
/usr/share/polkit-1/actions
%if 0%{?suse_version} && 0%{?suse_version} <= 1210
  /usr/share/omf
%endif

%files lang -f gufw.lang
%defattr(-,root,root,-)

%changelog
* Fri Jan 16 2015 p.drouand@gmail.com
- Update to version 15.04.0
  + Fixed #1375468 No reload entry menu
  + Fixed #1388422 NTP rule uses CUPS port
  + Fixed #1342355 #1374998 Typos
  + Fixed #1375010 Translated "Gufw is already running"
  + Fixed #1375957 Tutorial strings in English
  + Updated languages
- Cleanup specfile
- Fix Url
- Use download Url as source
* Thu Dec 11 2014 olaf@aepfle.de
- Correct usage of fdupes macro
* Wed Dec  4 2013 johann.luce@wanadoo.fr
- Update in 14.04.0 version
    Resized rule columns
    Network as default category
    Add window more fast
    Added some games to Games category (Steam, Teeworlds...)
    Fixed bug #1235623 Gtk.FileFilter options for Import/Export windows are not set for translation
    Fixed bug #1234668 gufw.desktop is not set for translation
    Fixed bug #1242821 User can sort Rules and Listening Report
    Fixed bug #1244307 User can search in columns the app value
    Fixed bug #1243782 Opening Webs fail in some cases
    Fixed bug #1244670 Minimal Window size 640x480
    Fixed bug #1243312 Confirm dialog for deleting rule in Preferences
    Fixed bug #1245642 Filter preconfigured rules
    Fixed bug #1251890 Profiles are duplicated when user changed from English to another language
    Fixed bug #1057961 Enable/disable from live report
    Added 'GNOME' in desktop categories
    Removed GObject deprecated lines > Removing python-gobject dependence
    Added set refresh interval in Listening Report
    Updated languages
    Append to log when user disabled the Logging
    Added spinner while the Listening Report is loading
* Fri Sep 20 2013 johann.luce@wanadoo.fr
- Update in 13.10.3 version
* Wed Jul 31 2013 johann.luce@wanadoo.fr
- Fix file COPYING.GPL3 not packaged
* Wed Jul 31 2013 johann.luce@wanadoo.fr
- Update in 13.10.2 version
    Fixed web browser for URL in about
* Fri Jul 19 2013 johann.luce@wanadoo.fr
- Update in 13.10.1 version
    Fixed #765899 Gufw is now completely accessible with Orca Screen Reader
    Fixed #1116571 Added to allow specifying both 'in' and 'out'
  directional rule in one step
    Fixed #1198038 Gufw caused high CPU usage with Listening Report expanded
    Fixed #1024523 UI translated completely
    Fixed little bugs in layout.
    3 New preconfigured Profiles by default: Home, Work and Public.
    Available in English UK, Italian and Romanian.
    Fix some warnings in obs
    Add pyton-netifaces and typelib-1_0-WebKit-3_0
    Add package lang
* Mon Mar 18 2013 johann.luce@wanadoo.fr
- Update in 13.04 version
* Wed Nov 21 2012 johann.luce@wanadoo.fr
-fix problem naming gui-ufw -> gufw
* Mon Jun 11 2012 johann.luce@wanadoo.fr
- Update in 12.10 version
  fix problem with gir-repository for opensuse 12.2
* Tue Apr  3 2012 johann.luce@wanadoo.fr
- Update to 12.04.1 version
* Tue Oct 25 2011 johann.luce@wanadoo.fr
-ompatibilité pour opensuse 11.3
* Tue Oct 25 2011 johann.luce@wanadoo.fr
-update to version 11.10.2
* Tue Oct 11 2011 johann.luce@wanadoo.fr
  change for duplicate error-
* Tue Oct 11 2011 johann.luce@wanadoo.fr
  Compatibilité pour opensuse 11.3-
* Tue Oct 11 2011 johann.luce@wanadoo.fr
  update to version 11.04.2-
* Thu Oct  6 2011 johann.luce@wanadoo.fr
  add tag %%lang() in spec file-
* Wed Oct  5 2011 johann.luce@wanadoo.fr
  OpenSUSE Factory-
* Wed Oct  5 2011 johann.luce@wanadoo.fr
  Compatibilité pour opensuse 11.3-
* Wed Oct  5 2011 johann.luce@wanadoo.fr
  Patch for opensuse commande, desktop-
* Tue Oct  4 2011 johann.luce@wanadoo.fr
  first on opensuse-
